
Redmine - Defect #8733

Sending email fails when one of members has illegal characters in email address

2011-07-01 14:40 - Konrad Kosmowski

Status: Closed Start date: 2011-07-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.2.0

Description

Hello everybody,

When adding or modifying an issue (or anything that generates email notification for that matter) email notifications were not sent.

I've analyzed the problem and it seems like when a user sets his email to contain national characters f.e. "paweł@kosmosik.net" and

he is a member in project entire notification (to all members will be not send).

I think it is Redmine or maybe RoR bug but I am not a Ruby person to debug it throughly.

When I set config.action_mailer.logger to log entire message to file the generated message lacks any "To:" or "BCC:" headers -

basically it lacks recipients.

When the underlying Ruby SMTP class processes the message it gets an error from SMTP server:

Net::SMTPSyntaxError (501 5.1.3 Bad recipient address syntax

):

  /usr/lib/ruby/1.8/net/smtp.rb:942:in `check_response'

  /usr/lib/ruby/1.8/net/smtp.rb:911:in `getok'

  /usr/lib/ruby/1.8/net/smtp.rb:854:in `rcptto'

  /usr/lib/ruby/1.8/net/smtp.rb:835:in `rcptto_list'

  /usr/lib/ruby/1.8/net/smtp.rb:833:in `each'

  /usr/lib/ruby/1.8/net/smtp.rb:833:in `rcptto_list'

  /usr/lib/ruby/1.8/net/smtp.rb:654:in `sendmail'

  /usr/lib/ruby/1.8/net/smtp.rb:526:in `start'

  app/models/mailer.rb:312:in `deliver!'

  app/models/issue_observer.rb:20:in `after_create'

  /usr/lib/ruby/1.8/observer.rb:185:in `notify_observers'

  /usr/lib/ruby/1.8/observer.rb:184:in `each'

  /usr/lib/ruby/1.8/observer.rb:184:in `notify_observers'

  app/controllers/issues_controller.rb:139:in `create'

  public/dispatch.fcgi:24

 On SMTP server side I get:

Jul  1 13:22:33 p069000xsvm162 postfix/smtpd[22237]: warning: Illegal address syntax from localhos

t.localdomain[127.0.0.1] in RCPT command: <>

 Some information about my setup:

# gem list

*** LOCAL GEMS ***

actionmailer (2.3.11)

actionpack (2.3.11)

activerecord (2.3.11)

activeresource (2.3.11)

activesupport (2.3.11)

fcgi (0.8.8)

i18n (0.4.2)

rack (1.1.2)
rails (2.3.11)

rake (0.8.7)

Related issues:

Related to Redmine - Defect #7917: Creating users via email fails if user rea... Closed 2011-03-18

Related to Redmine - Defect #8157: Redmine do not send notification emails if... Closed

History

#1 - 2011-07-01 17:40 - Etienne Massip

- Category set to Email notifications

#2 - 2011-07-06 13:08 - Konrad Kosmowski

I think it is strictly related to #8157.

#3 - 2014-11-03 07:19 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Konrad Kosmowski wrote:

I think it is strictly related to #8157.

 Indeed.

#4 - 2014-11-03 07:20 - Go MAEDA

- Related to Defect #8157: Redmine do not send notification emails if a recipients email address is not valid added
